AutoLisp‎ > ‎Tiện ích‎ > ‎

Copy nội dung TEXT

đăng 09:26, 10 thg 10, 2011 bởi Lisp Việt   [ đã cập nhật 09:30, 10 thg 10, 2011 ]
 
;Copy TEXT, MTEXT, DIMENSION
;www.vietlisp.com
;--------------------------------------------------------------------
(defun c:mat (/ source target itarget str)
(command "undo" "be")
 
(prompt "\nSelect *TEXT, DIMENSION source:")
(setq source (ssget "+.:S:N" '((0 . "*TEXT,DIMENSION"))))
(if (and
      source
      (setq source (ssname source 0))
      (setq str (cdr (assoc 1 (entget source))))     
      (progn (prompt "\nSelect *TEXT, DIMENSION Target:") T)     
      (setq target (ssget '((0 . "*TEXT,DIMENSION"))))
      )
  (progn
    (setq i 0)
    (while (setq itarget (ssname target i))
          (entmod (subst  (cons 1 str) (assoc 1 (entget itarget)) (entget itarget)))
           (setq i (1+ i))      
      )
   
    (command "undo" "be")
    (redraw)
    )))
       
Comments